<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td class="project-title">
        {{ utility.code }}
    </td>
    <td>{{ utility.description }}</td>
    <td class="text-center">
        <button class="btn btn-white btn-sm" @click="del( utility.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </button>
        <button class="btn btn-white btn-sm" 
                @click="edit( {id: utility.id,code: utility.code,description: utility.description} )"> 
            <i class="fa fa-pencil" ></i>&nbsp;&nbsp;Edit&nbsp;&nbsp;&nbsp;
        </button>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'utility',
        'row'
    ],
    methods: {
        edit( row_data ) {
            this.$emit('edit', row_data)
        },
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

